Subject: [coman] FW: [6lo] WG Review: IPv6 over Networks of Resource-constrained Nodes (6lo)

From: "Ersue, Mehmet (NSN - DE/Munich)" <[email-masked]>
Date: Thu, 26 Sep 2013 08:47:30 +0000

It was unclear whether this got through to coman maillist.

Samita: To be able to post directly, it would be good to subscribe to coman maillist. Thx.

Cheers, 
Mehmet 

-----Original Message-----
From: [email-masked] [mailto:[email-masked]] On Behalf Of ext Samita Chakrabarti
Sent: Thursday, September 26, 2013 3:47 AM
To: Benoit Claise; Romascanu, Dan (Dan); [email-masked]; The IESG; 6lo WG
Subject: Re: [coman] [6lo] WG Review: IPv6 over Networks of Resource-constrained Nodes (6lo)

Hi Benoit,

>> I would add, for the 6lo people benefits, that
>> http://tools.ietf.org/html/draft-ersue-constrained-mgmt-03 would be a 
>> good start.
[SC>] 
[SC>] Thanks for pointing to this document  (Problem Statement, Usecases and Requirement on management of constrained nodes).
This is definitely a good start in understanding the problems and requirements.

>> Disclaimer: maybe this draft was mentioned already. I'm not following 
>> the 6lo mailing list.
[SC>]  No, it is not currently listed in the milestones update.

> My understanding is that the charter refers to
>
> http://tools.ietf.org/html/draft-schoenw-6lowpan-mib-03
>
> and that it not aims at a general discussion about network management 
> of constrained devices. That is, it refers to concrete work instead of 
> abstract work.
[SC>] 
[SC>]  It is listed in the 6lo listinfo and proposed milestones for discussions.
              Of-course 6lo WG would decide if we want to define MIB only document and/or interfaces.

That's actually my point. Should we focus on developing a MIB module, taking for granting that SNMP is THE way to manage constrained nodes? Or should we ask ourselves: based on the collected management requirements, let's see what is more appropriate?
You know, like I2RS is currently doing, instead of jumping to NETCONF/YANG directly because it seemed like the solution.

[SC>] We should discuss the scope of  management interfaces work in the wg meeting. Restricting to SNMP is certainly has its limitations.  Management configuration and reporting parameters requirements and Interfaces are important.  Personally, I'm in favor of a common architecture for the management infrastructure as much as possible for the 6lo devices and then leave hooks for L2-technology specific information.

Best regards,
-Samita
_______________________________________________
coman mailing list
[email-masked]
https://www.ietf.org/mailman/listinfo/coman